import { IDatabaseConnector } from "@golemio/core/dist/helpers/data-access/postgres/IDatabaseConnector";
import { ILogger } from "@golemio/core/dist/helpers/logger/LoggerProvider";
import { Transaction } from "@golemio/core/dist/shared/sequelize";
export declare class RopidGtfsRepository {
    private connector;
    private logger;
    private preparationProcedure;
    private cleaningTmpProcedure;
    private cleaningOldProcedure;
    private replaceAllProcedure;
    private createPrecomputedTmpTablesProcedure;
    constructor(connector: IDatabaseConnector, logger: ILogger);
    replaceAllTable(tables: string[], t: Transaction): Promise<void>;
    createTmpTables(): Promise<void>;
    createPrecomputedTmpTables(): Promise<void>;
    cleanTmpAndOldTables(): Promise<void>;
    cleanOldTables(): Promise<void>;
}
